Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Interface ItemStateListener

public interface ItemStateListener

This interface is used by applications which need to receive events that indicate changes in the internal state of the interactive items within a `Form` screen.

Since:
  MIDP 1.0
See Also:
  `Form.setItemStateListener(ItemStateListener)`

Method Summary
`void` | `itemStateChanged(Item item)` Called when internal state of an `Item` has been changed by the user.

Method Detail

### itemStateChanged

    public void itemStateChanged(Item item)

  Called when internal state of an `Item` has been changed by the user. This happens when the user:
  - changes the set of selected values in a `ChoiceGroup`;
  - adjusts the value of an interactive `Gauge`;
  - enters or modifies the value in a `TextField`;
  - enters a new date or time in a `DateField`; and
  - `Item.notifyStateChanged()` was called on an `Item`.

  It is up to the device to decide when it considers a new value to have been entered into an `Item`. For example, implementations of text editing within a `TextField` vary greatly from device to device.

  In general, it is not expected that the listener will be called after every change is made. However, if an item's value has been changed, the listener will be called to notify the application of the change before it is called for a change on another item, and before a command is delivered to the `Form's` `CommandListener`. For implementations that have the concept of an input focus, the listener should be called no later than when the focus moves away from an item whose state has been changed. The listener should be called only if the item's value has actually been changed.

  The listener is not called if the application changes the value of an interactive item.

  Parameters:
    `item` - the item that was changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.